import 'package:flutter/material.dart' show Color;

import 'radix_color.dart';
import 'radix_colors_base.dart';

class RadixColorsDark extends RadixColorScales {
  RadixColorsDark();

  static final RadixColor _amber = RadixColor(
      const Color.fromARGB(255, 255, 178, 36).value, const <int, Color>{
    1: Color.fromARGB(255, 31, 19, 0),
    2: Color.fromARGB(255, 39, 23, 0),
    3: Color.fromARGB(255, 52, 28, 0),
    4: Color.fromARGB(255, 63, 34, 0),
    5: Color.fromARGB(255, 74, 41, 0),
    6: Color.fromARGB(255, 87, 51, 0),
    7: Color.fromARGB(255, 105, 63, 5),
    8: Color.fromARGB(255, 130, 78, 0),
    9: Color.fromARGB(255, 255, 178, 36),
    10: Color.fromARGB(255, 255, 203, 71),
    11: Color.fromARGB(255, 241, 161, 13),
    12: Color.fromARGB(255, 254, 243, 221)
  });

  @override
  RadixColor get amber => _amber;

  static final RadixColor _amberA = RadixColor(
      const Color.fromARGB(250, 255, 182, 37).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(9, 253, 131, 0),
    3: Color.fromARGB(24, 254, 115, 0),
    4: Color.fromARGB(36, 255, 123, 0),
    5: Color.fromARGB(49, 255, 132, 0),
    6: Color.fromARGB(64, 255, 149, 0),
    7: Color.fromARGB(84, 255, 151, 15),
    8: Color.fromARGB(113, 255, 153, 0),
    9: Color.fromARGB(250, 255, 182, 37),
    10: Color.fromARGB(250, 255, 206, 72),
    11: Color.fromARGB(239, 255, 171, 14),
    12: Color.fromARGB(250, 255, 248, 225)
  });

  @override
  RadixColor get amberA => _amberA;

  static final RadixColor _blue = RadixColor(
      const Color.fromARGB(255, 0, 145, 255).value, const <int, Color>{
    1: Color.fromARGB(255, 15, 23, 32),
    2: Color.fromARGB(255, 15, 27, 45),
    3: Color.fromARGB(255, 16, 36, 62),
    4: Color.fromARGB(255, 16, 42, 76),
    5: Color.fromARGB(255, 15, 48, 88),
    6: Color.fromARGB(255, 13, 56, 104),
    7: Color.fromARGB(255, 10, 68, 129),
    8: Color.fromARGB(255, 9, 84, 165),
    9: Color.fromARGB(255, 0, 145, 255),
    10: Color.fromARGB(255, 54, 158, 255),
    11: Color.fromARGB(255, 82, 169, 255),
    12: Color.fromARGB(255, 234, 246, 255)
  });

  @override
  RadixColor get blue => _blue;

  static final RadixColor _blueA = RadixColor(
      const Color.fromARGB(250, 0, 149, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(15, 15, 90, 252),
    3: Color.fromARGB(34, 22, 119, 254),
    4: Color.fromARGB(50, 20, 118, 254),
    5: Color.fromARGB(64, 15, 123, 254),
    6: Color.fromARGB(82, 9, 124, 255),
    7: Color.fromARGB(111, 4, 125, 255),
    8: Color.fromARGB(152, 5, 126, 255),
    9: Color.fromARGB(250, 0, 149, 255),
    10: Color.fromARGB(250, 55, 161, 255),
    11: Color.fromARGB(250, 83, 172, 255),
    12: Color.fromARGB(250, 239, 251, 255)
  });

  @override
  RadixColor get blueA => _blueA;

  static final RadixColor _bronze = RadixColor(
      const Color.fromARGB(255, 161, 128, 114).value, const <int, Color>{
    1: Color.fromARGB(255, 25, 21, 20),
    2: Color.fromARGB(255, 31, 25, 23),
    3: Color.fromARGB(255, 42, 33, 31),
    4: Color.fromARGB(255, 51, 40, 36),
    5: Color.fromARGB(255, 59, 46, 41),
    6: Color.fromARGB(255, 69, 53, 48),
    7: Color.fromARGB(255, 87, 67, 60),
    8: Color.fromARGB(255, 116, 89, 78),
    9: Color.fromARGB(255, 161, 128, 114),
    10: Color.fromARGB(255, 176, 140, 125),
    11: Color.fromARGB(255, 203, 163, 147),
    12: Color.fromARGB(255, 249, 237, 231)
  });

  @override
  RadixColor get bronze => _bronze;

  static final RadixColor _bronzeA = RadixColor(
      const Color.fromARGB(151, 255, 202, 179).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 247, 170, 131),
    3: Color.fromARGB(19, 255, 183, 169),
    4: Color.fromARGB(29, 253, 188, 160),
    5: Color.fromARGB(38, 255, 190, 162),
    6: Color.fromARGB(49, 254, 188, 166),
    7: Color.fromARGB(69, 255, 191, 168),
    8: Color.fromARGB(101, 255, 193, 166),
    9: Color.fromARGB(151, 255, 202, 179),
    10: Color.fromARGB(168, 255, 202, 180),
    11: Color.fromARGB(197, 255, 204, 184),
    12: Color.fromARGB(248, 255, 243, 237)
  });

  @override
  RadixColor get bronzeA => _bronzeA;

  static final RadixColor _brown = RadixColor(
      const Color.fromARGB(255, 173, 127, 88).value, const <int, Color>{
    1: Color.fromARGB(255, 25, 21, 19),
    2: Color.fromARGB(255, 34, 24, 19),
    3: Color.fromARGB(255, 46, 32, 26),
    4: Color.fromARGB(255, 54, 38, 30),
    5: Color.fromARGB(255, 62, 44, 34),
    6: Color.fromARGB(255, 73, 53, 40),
    7: Color.fromARGB(255, 92, 67, 50),
    8: Color.fromARGB(255, 119, 89, 64),
    9: Color.fromARGB(255, 173, 127, 88),
    10: Color.fromARGB(255, 189, 139, 96),
    11: Color.fromARGB(255, 219, 161, 110),
    12: Color.fromARGB(255, 250, 240, 229)
  });

  @override
  RadixColor get brown => _brown;

  static final RadixColor _brownA = RadixColor(
      const Color.fromARGB(164, 255, 186, 126).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(9, 255, 105, 19),
    3: Color.fromARGB(22, 253, 145, 99),
    4: Color.fromARGB(31, 254, 159, 108),
    5: Color.fromARGB(40, 254, 172, 114),
    6: Color.fromARGB(53, 254, 176, 121),
    7: Color.fromARGB(74, 254, 180, 126),
    8: Color.fromARGB(104, 254, 188, 130),
    9: Color.fromARGB(164, 255, 186, 126),
    10: Color.fromARGB(182, 255, 187, 127),
    11: Color.fromARGB(215, 255, 187, 127),
    12: Color.fromARGB(250, 255, 245, 233)
  });

  @override
  RadixColor get brownA => _brownA;

  static final RadixColor _crimson = RadixColor(
      const Color.fromARGB(255, 233, 61, 130).value, const <int, Color>{
    1: Color.fromARGB(255, 29, 20, 24),
    2: Color.fromARGB(255, 39, 20, 28),
    3: Color.fromARGB(255, 60, 24, 39),
    4: Color.fromARGB(255, 72, 26, 45),
    5: Color.fromARGB(255, 84, 27, 51),
    6: Color.fromARGB(255, 100, 29, 59),
    7: Color.fromARGB(255, 128, 29, 69),
    8: Color.fromARGB(255, 174, 25, 85),
    9: Color.fromARGB(255, 233, 61, 130),
    10: Color.fromARGB(255, 240, 79, 136),
    11: Color.fromARGB(255, 247, 97, 144),
    12: Color.fromARGB(255, 254, 236, 244)
  });

  @override
  RadixColor get crimson => _crimson;

  static final RadixColor _crimsonA = RadixColor(
      const Color.fromARGB(230, 255, 65, 141).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(11, 251, 20, 113),
    3: Color.fromARGB(35, 254, 49, 134),
    4: Color.fromARGB(49, 254, 51, 132),
    5: Color.fromARGB(62, 254, 49, 134),
    6: Color.fromARGB(80, 254, 49, 134),
    7: Color.fromARGB(112, 254, 40, 126),
    8: Color.fromARGB(164, 255, 28, 119),
    9: Color.fromARGB(230, 255, 65, 141),
    10: Color.fromARGB(238, 255, 83, 143),
    11: Color.fromARGB(246, 255, 100, 149),
    12: Color.fromARGB(250, 255, 240, 248)
  });

  @override
  RadixColor get crimsonA => _crimsonA;

  static final RadixColor _cyan = RadixColor(
      const Color.fromARGB(255, 5, 162, 194).value, const <int, Color>{
    1: Color.fromARGB(255, 7, 25, 29),
    2: Color.fromARGB(255, 6, 30, 36),
    3: Color.fromARGB(255, 7, 40, 48),
    4: Color.fromARGB(255, 7, 48, 59),
    5: Color.fromARGB(255, 7, 56, 68),
    6: Color.fromARGB(255, 6, 65, 80),
    7: Color.fromARGB(255, 4, 80, 99),
    8: Color.fromARGB(255, 0, 100, 125),
    9: Color.fromARGB(255, 5, 162, 194),
    10: Color.fromARGB(255, 0, 177, 204),
    11: Color.fromARGB(255, 0, 194, 215),
    12: Color.fromARGB(255, 225, 248, 250)
  });

  @override
  RadixColor get cyan => _cyan;

  static final RadixColor _cyanA = RadixColor(
      const Color.fromARGB(186, 4, 213, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(8, 0, 187, 255),
    3: Color.fromARGB(22, 7, 203, 252),
    4: Color.fromARGB(34, 7, 197, 255),
    5: Color.fromARGB(44, 7, 205, 254),
    6: Color.fromARGB(58, 2, 200, 255),
    7: Color.fromARGB(79, 0, 204, 255),
    8: Color.fromARGB(108, 0, 200, 255),
    9: Color.fromARGB(186, 4, 213, 255),
    10: Color.fromARGB(198, 0, 221, 255),
    11: Color.fromARGB(210, 0, 229, 254),
    12: Color.fromARGB(249, 230, 253, 255)
  });

  @override
  RadixColor get cyanA => _cyanA;

  static final RadixColor _gold = RadixColor(
      const Color.fromARGB(255, 151, 131, 101).value, const <int, Color>{
    1: Color.fromARGB(255, 23, 22, 19),
    2: Color.fromARGB(255, 28, 26, 21),
    3: Color.fromARGB(255, 38, 35, 28),
    4: Color.fromARGB(255, 46, 42, 33),
    5: Color.fromARGB(255, 53, 48, 38),
    6: Color.fromARGB(255, 62, 56, 44),
    7: Color.fromARGB(255, 80, 71, 55),
    8: Color.fromARGB(255, 107, 93, 72),
    9: Color.fromARGB(255, 151, 131, 101),
    10: Color.fromARGB(255, 165, 144, 113),
    11: Color.fromARGB(255, 191, 168, 136),
    12: Color.fromARGB(255, 247, 244, 231)
  });

  @override
  RadixColor get gold => _gold;

  static final RadixColor _goldA = RadixColor(
      const Color.fromARGB(141, 255, 220, 167).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(6, 250, 203, 110),
    3: Color.fromARGB(17, 254, 222, 157),
    4: Color.fromARGB(26, 253, 222, 159),
    5: Color.fromARGB(33, 254, 221, 165),
    6: Color.fromARGB(43, 254, 223, 167),
    7: Color.fromARGB(63, 255, 221, 166),
    8: Color.fromARGB(93, 254, 217, 165),
    9: Color.fromARGB(141, 255, 220, 167),
    10: Color.fromARGB(156, 255, 220, 172),
    11: Color.fromARGB(185, 255, 224, 180),
    12: Color.fromARGB(246, 255, 252, 238)
  });

  @override
  RadixColor get goldA => _goldA;

  static final RadixColor _grass = RadixColor(
      const Color.fromARGB(255, 70, 167, 88).value, const <int, Color>{
    1: Color.fromARGB(255, 13, 25, 18),
    2: Color.fromARGB(255, 15, 30, 19),
    3: Color.fromARGB(255, 19, 40, 25),
    4: Color.fromARGB(255, 22, 48, 29),
    5: Color.fromARGB(255, 25, 57, 33),
    6: Color.fromARGB(255, 29, 68, 39),
    7: Color.fromARGB(255, 36, 85, 48),
    8: Color.fromARGB(255, 47, 110, 59),
    9: Color.fromARGB(255, 70, 167, 88),
    10: Color.fromARGB(255, 85, 180, 103),
    11: Color.fromARGB(255, 99, 193, 116),
    12: Color.fromARGB(255, 229, 251, 235)
  });

  @override
  RadixColor get grass => _grass;

  static final RadixColor _grassA = RadixColor(
      const Color.fromARGB(158, 105, 255, 130).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(6, 104, 252, 63),
    3: Color.fromARGB(17, 104, 252, 123),
    4: Color.fromARGB(26, 103, 255, 128),
    5: Color.fromARGB(36, 99, 254, 125),
    6: Color.fromARGB(48, 99, 255, 130),
    7: Color.fromARGB(67, 101, 255, 132),
    8: Color.fromARGB(94, 105, 255, 130),
    9: Color.fromARGB(158, 105, 255, 130),
    10: Color.fromARGB(172, 120, 255, 145),
    11: Color.fromARGB(186, 131, 255, 151),
    12: Color.fromARGB(250, 234, 255, 240)
  });

  @override
  RadixColor get grassA => _grassA;

  static final RadixColor _gray = RadixColor(
      const Color.fromARGB(255, 112, 112, 112).value, const <int, Color>{
    1: Color.fromARGB(255, 22, 22, 22),
    2: Color.fromARGB(255, 28, 28, 28),
    3: Color.fromARGB(255, 35, 35, 35),
    4: Color.fromARGB(255, 40, 40, 40),
    5: Color.fromARGB(255, 46, 46, 46),
    6: Color.fromARGB(255, 52, 52, 52),
    7: Color.fromARGB(255, 62, 62, 62),
    8: Color.fromARGB(255, 80, 80, 80),
    9: Color.fromARGB(255, 112, 112, 112),
    10: Color.fromARGB(255, 126, 126, 126),
    11: Color.fromARGB(255, 160, 160, 160),
    12: Color.fromARGB(255, 237, 237, 237)
  });

  @override
  RadixColor get gray => _gray;

  static final RadixColor _grayA = RadixColor(
      const Color.fromARGB(98, 255, 255, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 255, 255, 255),
    2: Color.fromARGB(7, 255, 255, 255),
    3: Color.fromARGB(14, 255, 255, 255),
    4: Color.fromARGB(20, 255, 255, 255),
    5: Color.fromARGB(26, 255, 255, 255),
    6: Color.fromARGB(33, 255, 255, 255),
    7: Color.fromARGB(44, 255, 255, 255),
    8: Color.fromARGB(63, 255, 255, 255),
    9: Color.fromARGB(98, 255, 255, 255),
    10: Color.fromARGB(114, 255, 255, 255),
    11: Color.fromARGB(151, 255, 255, 255),
    12: Color.fromARGB(235, 255, 255, 255)
  });

  @override
  RadixColor get grayA => _grayA;

  static final RadixColor _green = RadixColor(
      const Color.fromARGB(255, 48, 164, 108).value, const <int, Color>{
    1: Color.fromARGB(255, 13, 25, 18),
    2: Color.fromARGB(255, 12, 31, 23),
    3: Color.fromARGB(255, 15, 41, 30),
    4: Color.fromARGB(255, 17, 49, 35),
    5: Color.fromARGB(255, 19, 57, 41),
    6: Color.fromARGB(255, 22, 68, 48),
    7: Color.fromARGB(255, 27, 84, 58),
    8: Color.fromARGB(255, 35, 110, 74),
    9: Color.fromARGB(255, 48, 164, 108),
    10: Color.fromARGB(255, 60, 177, 121),
    11: Color.fromARGB(255, 76, 195, 138),
    12: Color.fromARGB(255, 229, 251, 235)
  });

  @override
  RadixColor get green => _green;

  static final RadixColor _greenA = RadixColor(
      const Color.fromARGB(154, 71, 255, 166).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 0, 247, 202),
    3: Color.fromARGB(18, 42, 254, 190),
    4: Color.fromARGB(27, 51, 254, 179),
    5: Color.fromARGB(36, 56, 254, 181),
    6: Color.fromARGB(48, 61, 255, 177),
    7: Color.fromARGB(66, 67, 255, 173),
    8: Color.fromARGB(94, 73, 255, 170),
    9: Color.fromARGB(154, 71, 255, 166),
    10: Color.fromARGB(169, 84, 255, 175),
    11: Color.fromARGB(189, 98, 255, 179),
    12: Color.fromARGB(250, 234, 255, 240)
  });

  @override
  RadixColor get greenA => _greenA;

  static final RadixColor _indigo = RadixColor(
      const Color.fromARGB(255, 62, 99, 221).value, const <int, Color>{
    1: Color.fromARGB(255, 19, 22, 32),
    2: Color.fromARGB(255, 21, 25, 45),
    3: Color.fromARGB(255, 25, 33, 64),
    4: Color.fromARGB(255, 28, 39, 79),
    5: Color.fromARGB(255, 31, 44, 92),
    6: Color.fromARGB(255, 34, 52, 110),
    7: Color.fromARGB(255, 39, 62, 137),
    8: Color.fromARGB(255, 47, 78, 178),
    9: Color.fromARGB(255, 62, 99, 221),
    10: Color.fromARGB(255, 83, 115, 231),
    11: Color.fromARGB(255, 132, 157, 255),
    12: Color.fromARGB(255, 238, 241, 253)
  });

  @override
  RadixColor get indigo => _indigo;

  static final RadixColor _indigoA = RadixColor(
      const Color.fromARGB(216, 69, 113, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(15, 53, 73, 252),
    3: Color.fromARGB(37, 60, 99, 254),
    4: Color.fromARGB(54, 61, 103, 255),
    5: Color.fromARGB(69, 63, 105, 254),
    6: Color.fromARGB(89, 62, 107, 255),
    7: Color.fromARGB(120, 61, 106, 255),
    8: Color.fromARGB(167, 62, 107, 255),
    9: Color.fromARGB(216, 69, 113, 255),
    10: Color.fromARGB(228, 90, 126, 255),
    11: Color.fromARGB(250, 134, 160, 255),
    12: Color.fromARGB(250, 242, 245, 255)
  });

  @override
  RadixColor get indigoA => _indigoA;

  static final RadixColor _lime = RadixColor(
      const Color.fromARGB(255, 153, 213, 42).value, const <int, Color>{
    1: Color.fromARGB(255, 20, 24, 7),
    2: Color.fromARGB(255, 24, 29, 8),
    3: Color.fromARGB(255, 30, 38, 13),
    4: Color.fromARGB(255, 37, 46, 15),
    5: Color.fromARGB(255, 43, 55, 17),
    6: Color.fromARGB(255, 52, 66, 19),
    7: Color.fromARGB(255, 65, 82, 21),
    8: Color.fromARGB(255, 83, 103, 22),
    9: Color.fromARGB(255, 153, 213, 42),
    10: Color.fromARGB(255, 196, 240, 66),
    11: Color.fromARGB(255, 135, 190, 34),
    12: Color.fromARGB(255, 239, 251, 221)
  });

  @override
  RadixColor get lime => _lime;

  static final RadixColor _limeA = RadixColor(
      const Color.fromARGB(209, 183, 255, 50).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(6, 202, 251, 53),
    3: Color.fromARGB(16, 184, 253, 106),
    4: Color.fromARGB(24, 196, 253, 91),
    5: Color.fromARGB(34, 190, 254, 81),
    6: Color.fromARGB(46, 197, 255, 73),
    7: Color.fromARGB(64, 200, 254, 63),
    8: Color.fromARGB(87, 204, 255, 51),
    9: Color.fromARGB(209, 183, 255, 50),
    10: Color.fromARGB(239, 209, 255, 70),
    11: Color.fromARGB(183, 181, 255, 44),
    12: Color.fromARGB(250, 244, 255, 225)
  });

  @override
  RadixColor get limeA => _limeA;

  static final RadixColor _mauve = RadixColor(
      const Color.fromARGB(255, 112, 111, 120).value, const <int, Color>{
    1: Color.fromARGB(255, 22, 22, 24),
    2: Color.fromARGB(255, 28, 28, 31),
    3: Color.fromARGB(255, 35, 35, 38),
    4: Color.fromARGB(255, 40, 40, 44),
    5: Color.fromARGB(255, 46, 46, 50),
    6: Color.fromARGB(255, 52, 52, 58),
    7: Color.fromARGB(255, 62, 62, 68),
    8: Color.fromARGB(255, 80, 79, 87),
    9: Color.fromARGB(255, 112, 111, 120),
    10: Color.fromARGB(255, 126, 125, 134),
    11: Color.fromARGB(255, 160, 159, 166),
    12: Color.fromARGB(255, 237, 237, 239)
  });

  @override
  RadixColor get mauve => _mauve;

  static final RadixColor _mauveA = RadixColor(
      const Color.fromARGB(106, 238, 236, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(8, 215, 215, 250),
    3: Color.fromARGB(16, 235, 235, 254),
    4: Color.fromARGB(22, 229, 229, 254),
    5: Color.fromARGB(29, 234, 234, 254),
    6: Color.fromARGB(38, 225, 225, 254),
    7: Color.fromARGB(49, 232, 232, 254),
    8: Color.fromARGB(70, 234, 231, 255),
    9: Color.fromARGB(106, 238, 236, 255),
    10: Color.fromARGB(122, 240, 238, 255),
    11: Color.fromARGB(157, 247, 245, 255),
    12: Color.fromARGB(237, 253, 253, 255)
  });

  @override
  RadixColor get mauveA => _mauveA;

  static final RadixColor _mint = RadixColor(
      const Color.fromARGB(255, 112, 225, 200).value, const <int, Color>{
    1: Color.fromARGB(255, 8, 25, 23),
    2: Color.fromARGB(255, 5, 32, 30),
    3: Color.fromARGB(255, 5, 41, 38),
    4: Color.fromARGB(255, 4, 49, 44),
    5: Color.fromARGB(255, 3, 58, 52),
    6: Color.fromARGB(255, 1, 69, 61),
    7: Color.fromARGB(255, 0, 86, 74),
    8: Color.fromARGB(255, 0, 109, 91),
    9: Color.fromARGB(255, 112, 225, 200),
    10: Color.fromARGB(255, 149, 243, 217),
    11: Color.fromARGB(255, 37, 208, 171),
    12: Color.fromARGB(255, 231, 252, 247)
  });

  @override
  RadixColor get mint => _mint;

  static final RadixColor _mintA = RadixColor(
      const Color.fromARGB(222, 128, 255, 227).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(8, 0, 251, 251),
    3: Color.fromARGB(18, 0, 253, 237),
    4: Color.fromARGB(27, 0, 253, 224),
    5: Color.fromARGB(37, 0, 254, 224),
    6: Color.fromARGB(49, 0, 254, 220),
    7: Color.fromARGB(68, 0, 254, 216),
    8: Color.fromARGB(93, 0, 254, 208),
    9: Color.fromARGB(222, 128, 255, 227),
    10: Color.fromARGB(242, 157, 255, 227),
    11: Color.fromARGB(203, 44, 255, 209),
    12: Color.fromARGB(250, 236, 255, 251)
  });

  @override
  RadixColor get mintA => _mintA;

  static final RadixColor _olive = RadixColor(
      const Color.fromARGB(255, 104, 115, 102).value, const <int, Color>{
    1: Color.fromARGB(255, 21, 23, 21),
    2: Color.fromARGB(255, 26, 29, 25),
    3: Color.fromARGB(255, 32, 36, 31),
    4: Color.fromARGB(255, 38, 41, 37),
    5: Color.fromARGB(255, 43, 47, 42),
    6: Color.fromARGB(255, 49, 53, 48),
    7: Color.fromARGB(255, 59, 63, 58),
    8: Color.fromARGB(255, 76, 81, 75),
    9: Color.fromARGB(255, 104, 115, 102),
    10: Color.fromARGB(255, 119, 129, 117),
    11: Color.fromARGB(255, 154, 162, 153),
    12: Color.fromARGB(255, 236, 238, 236)
  });

  @override
  RadixColor get olive => _olive;

  static final RadixColor _oliveA = RadixColor(
      const Color.fromARGB(101, 230, 255, 225).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 213, 254, 175),
    3: Color.fromARGB(15, 214, 251, 196),
    4: Color.fromARGB(20, 239, 254, 226),
    5: Color.fromARGB(27, 233, 254, 223),
    6: Color.fromARGB(33, 236, 254, 229),
    7: Color.fromARGB(44, 241, 254, 235),
    8: Color.fromARGB(64, 241, 255, 237),
    9: Color.fromARGB(101, 230, 255, 225),
    10: Color.fromARGB(117, 235, 255, 231),
    11: Color.fromARGB(153, 243, 255, 241),
    12: Color.fromARGB(236, 253, 255, 253)
  });

  @override
  RadixColor get oliveA => _oliveA;

  static final RadixColor _orange = RadixColor(
      const Color.fromARGB(255, 247, 104, 8).value, const <int, Color>{
    1: Color.fromARGB(255, 31, 18, 6),
    2: Color.fromARGB(255, 43, 20, 0),
    3: Color.fromARGB(255, 57, 26, 3),
    4: Color.fromARGB(255, 68, 31, 4),
    5: Color.fromARGB(255, 79, 35, 5),
    6: Color.fromARGB(255, 95, 42, 6),
    7: Color.fromARGB(255, 118, 50, 5),
    8: Color.fromARGB(255, 148, 62, 0),
    9: Color.fromARGB(255, 247, 104, 8),
    10: Color.fromARGB(255, 255, 128, 43),
    11: Color.fromARGB(255, 255, 139, 62),
    12: Color.fromARGB(255, 254, 234, 221)
  });

  @override
  RadixColor get orange => _orange;

  static final RadixColor _orangeA = RadixColor(
      const Color.fromARGB(246, 255, 107, 8).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(14, 253, 55, 0),
    3: Color.fromARGB(30, 253, 84, 0),
    4: Color.fromARGB(42, 254, 97, 0),
    5: Color.fromARGB(55, 254, 98, 1),
    6: Color.fromARGB(73, 255, 101, 6),
    7: Color.fromARGB(99, 255, 100, 3),
    8: Color.fromARGB(133, 254, 102, 0),
    9: Color.fromARGB(246, 255, 107, 8),
    10: Color.fromARGB(250, 255, 132, 44),
    11: Color.fromARGB(250, 255, 140, 63),
    12: Color.fromARGB(250, 255, 238, 225)
  });

  @override
  RadixColor get orangeA => _orangeA;

  static final RadixColor _pink = RadixColor(
      const Color.fromARGB(255, 214, 64, 159).value, const <int, Color>{
    1: Color.fromARGB(255, 31, 18, 27),
    2: Color.fromARGB(255, 39, 20, 33),
    3: Color.fromARGB(255, 58, 24, 47),
    4: Color.fromARGB(255, 69, 26, 55),
    5: Color.fromARGB(255, 80, 27, 63),
    6: Color.fromARGB(255, 96, 29, 72),
    7: Color.fromARGB(255, 122, 29, 90),
    8: Color.fromARGB(255, 167, 24, 115),
    9: Color.fromARGB(255, 214, 64, 159),
    10: Color.fromARGB(255, 227, 75, 169),
    11: Color.fromARGB(255, 246, 92, 182),
    12: Color.fromARGB(255, 254, 235, 247)
  });

  @override
  RadixColor get pink => _pink;

  static final RadixColor _pinkA = RadixColor(
      const Color.fromARGB(208, 255, 74, 189).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(9, 253, 74, 193),
    3: Color.fromARGB(31, 254, 68, 192),
    4: Color.fromARGB(43, 255, 65, 191),
    5: Color.fromARGB(56, 255, 59, 193),
    6: Color.fromARGB(74, 254, 56, 182),
    7: Color.fromARGB(104, 255, 45, 181),
    8: Color.fromARGB(155, 255, 28, 172),
    9: Color.fromARGB(208, 255, 74, 189),
    10: Color.fromARGB(223, 255, 83, 189),
    11: Color.fromARGB(245, 255, 95, 188),
    12: Color.fromARGB(250, 255, 239, 251)
  });

  @override
  RadixColor get pinkA => _pinkA;

  static final RadixColor _plum = RadixColor(
      const Color.fromARGB(255, 171, 74, 186).value, const <int, Color>{
    1: Color.fromARGB(255, 29, 19, 29),
    2: Color.fromARGB(255, 37, 20, 37),
    3: Color.fromARGB(255, 52, 26, 52),
    4: Color.fromARGB(255, 62, 29, 64),
    5: Color.fromARGB(255, 72, 33, 75),
    6: Color.fromARGB(255, 84, 38, 88),
    7: Color.fromARGB(255, 105, 45, 111),
    8: Color.fromARGB(255, 136, 56, 148),
    9: Color.fromARGB(255, 171, 74, 186),
    10: Color.fromARGB(255, 189, 84, 198),
    11: Color.fromARGB(255, 216, 100, 216),
    12: Color.fromARGB(255, 251, 236, 252)
  });

  @override
  RadixColor get plum => _plum;

  static final RadixColor _plumA = RadixColor(
      const Color.fromARGB(177, 234, 98, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(9, 251, 47, 251),
    3: Color.fromARGB(26, 254, 88, 254),
    4: Color.fromARGB(40, 241, 83, 255),
    5: Color.fromARGB(52, 241, 88, 254),
    6: Color.fromARGB(67, 238, 92, 254),
    7: Color.fromARGB(93, 238, 90, 255),
    8: Color.fromARGB(134, 233, 89, 255),
    9: Color.fromARGB(177, 234, 98, 255),
    10: Color.fromARGB(191, 243, 106, 255),
    11: Color.fromARGB(211, 255, 117, 255),
    12: Color.fromARGB(250, 255, 240, 255)
  });

  @override
  RadixColor get plumA => _plumA;

  static final RadixColor _purple = RadixColor(
      const Color.fromARGB(255, 142, 78, 198).value, const <int, Color>{
    1: Color.fromARGB(255, 27, 20, 29),
    2: Color.fromARGB(255, 34, 21, 39),
    3: Color.fromARGB(255, 48, 26, 58),
    4: Color.fromARGB(255, 58, 30, 72),
    5: Color.fromARGB(255, 67, 33, 85),
    6: Color.fromARGB(255, 78, 38, 103),
    7: Color.fromARGB(255, 95, 45, 132),
    8: Color.fromARGB(255, 121, 56, 178),
    9: Color.fromARGB(255, 142, 78, 198),
    10: Color.fromARGB(255, 157, 91, 210),
    11: Color.fromARGB(255, 191, 122, 240),
    12: Color.fromARGB(255, 247, 236, 252)
  });

  @override
  RadixColor get purple => _purple;

  static final RadixColor _purpleA = RadixColor(
      const Color.fromARGB(191, 181, 97, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(11, 181, 42, 251),
    3: Color.fromARGB(33, 188, 67, 254),
    4: Color.fromARGB(49, 190, 72, 254),
    5: Color.fromARGB(63, 188, 73, 255),
    6: Color.fromARGB(84, 183, 75, 255),
    7: Color.fromARGB(116, 177, 74, 255),
    8: Color.fromARGB(168, 171, 75, 255),
    9: Color.fromARGB(191, 181, 97, 255),
    10: Color.fromARGB(204, 189, 109, 255),
    11: Color.fromARGB(238, 203, 129, 255),
    12: Color.fromARGB(250, 252, 240, 255)
  });

  @override
  RadixColor get purpleA => _purpleA;

  static final RadixColor _red = RadixColor(
      const Color.fromARGB(255, 229, 72, 77).value, const <int, Color>{
    1: Color.fromARGB(255, 31, 19, 21),
    2: Color.fromARGB(255, 41, 20, 21),
    3: Color.fromARGB(255, 60, 24, 26),
    4: Color.fromARGB(255, 72, 26, 29),
    5: Color.fromARGB(255, 84, 27, 31),
    6: Color.fromARGB(255, 103, 30, 34),
    7: Color.fromARGB(255, 130, 32, 37),
    8: Color.fromARGB(255, 170, 36, 41),
    9: Color.fromARGB(255, 229, 72, 77),
    10: Color.fromARGB(255, 242, 85, 90),
    11: Color.fromARGB(255, 255, 99, 105),
    12: Color.fromARGB(255, 254, 236, 238)
  });

  @override
  RadixColor get red => _red;

  static final RadixColor _redA = RadixColor(
      const Color.fromARGB(225, 255, 79, 85).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(11, 253, 40, 21),
    3: Color.fromARGB(33, 254, 58, 61),
    4: Color.fromARGB(47, 254, 57, 64),
    5: Color.fromARGB(60, 255, 53, 63),
    6: Color.fromARGB(82, 255, 53, 60),
    7: Color.fromARGB(113, 255, 48, 59),
    8: Color.fromARGB(158, 255, 47, 54),
    9: Color.fromARGB(225, 255, 79, 85),
    10: Color.fromARGB(240, 255, 89, 95),
    11: Color.fromARGB(250, 255, 100, 106),
    12: Color.fromARGB(250, 255, 240, 242)
  });

  @override
  RadixColor get redA => _redA;

  static final RadixColor _sage = RadixColor(
      const Color.fromARGB(255, 102, 115, 109).value, const <int, Color>{
    1: Color.fromARGB(255, 20, 23, 22),
    2: Color.fromARGB(255, 25, 29, 27),
    3: Color.fromARGB(255, 31, 36, 33),
    4: Color.fromARGB(255, 37, 42, 39),
    5: Color.fromARGB(255, 42, 47, 44),
    6: Color.fromARGB(255, 48, 54, 51),
    7: Color.fromARGB(255, 57, 63, 60),
    8: Color.fromARGB(255, 74, 82, 78),
    9: Color.fromARGB(255, 102, 115, 109),
    10: Color.fromARGB(255, 117, 129, 123),
    11: Color.fromARGB(255, 153, 162, 158),
    12: Color.fromARGB(255, 236, 238, 237)
  });

  @override
  RadixColor get sage => _sage;

  static final RadixColor _sageA = RadixColor(
      const Color.fromARGB(101, 227, 255, 241).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 212, 254, 214),
    3: Color.fromARGB(15, 213, 251, 215),
    4: Color.fromARGB(21, 227, 255, 229),
    5: Color.fromARGB(27, 232, 254, 234),
    6: Color.fromARGB(34, 229, 254, 238),
    7: Color.fromARGB(44, 234, 254, 242),
    8: Color.fromARGB(65, 232, 254, 242),
    9: Color.fromARGB(101, 227, 255, 241),
    10: Color.fromARGB(117, 232, 255, 243),
    11: Color.fromARGB(153, 242, 255, 249),
    12: Color.fromARGB(236, 253, 255, 254)
  });

  @override
  RadixColor get sageA => _sageA;

  static final RadixColor _sand = RadixColor(
      const Color.fromARGB(255, 113, 112, 105).value, const <int, Color>{
    1: Color.fromARGB(255, 22, 22, 21),
    2: Color.fromARGB(255, 28, 28, 26),
    3: Color.fromARGB(255, 35, 35, 32),
    4: Color.fromARGB(255, 40, 40, 38),
    5: Color.fromARGB(255, 46, 46, 43),
    6: Color.fromARGB(255, 53, 52, 49),
    7: Color.fromARGB(255, 62, 62, 58),
    8: Color.fromARGB(255, 81, 80, 75),
    9: Color.fromARGB(255, 113, 112, 105),
    10: Color.fromARGB(255, 127, 126, 119),
    11: Color.fromARGB(255, 161, 160, 154),
    12: Color.fromARGB(255, 237, 237, 236)
  });

  @override
  RadixColor get sand => _sand;

  static final RadixColor _sandA = RadixColor(
      const Color.fromARGB(100, 255, 252, 236).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 253, 253, 213),
    3: Color.fromARGB(14, 254, 254, 218),
    4: Color.fromARGB(20, 253, 253, 239),
    5: Color.fromARGB(27, 253, 253, 233),
    6: Color.fromARGB(34, 253, 246, 230),
    7: Color.fromARGB(44, 255, 255, 236),
    8: Color.fromARGB(65, 254, 251, 234),
    9: Color.fromARGB(100, 255, 252, 236),
    10: Color.fromARGB(115, 255, 253, 238),
    11: Color.fromARGB(152, 255, 253, 244),
    12: Color.fromARGB(235, 255, 255, 254)
  });

  @override
  RadixColor get sandA => _sandA;

  static final RadixColor _sky = RadixColor(
      const Color.fromARGB(255, 104, 221, 253).value, const <int, Color>{
    1: Color.fromARGB(255, 12, 24, 32),
    2: Color.fromARGB(255, 7, 29, 42),
    3: Color.fromARGB(255, 8, 38, 54),
    4: Color.fromARGB(255, 8, 45, 65),
    5: Color.fromARGB(255, 8, 53, 76),
    6: Color.fromARGB(255, 8, 62, 89),
    7: Color.fromARGB(255, 6, 75, 107),
    8: Color.fromARGB(255, 0, 93, 133),
    9: Color.fromARGB(255, 104, 221, 253),
    10: Color.fromARGB(255, 138, 232, 255),
    11: Color.fromARGB(255, 46, 200, 238),
    12: Color.fromARGB(255, 234, 248, 255)
  });

  @override
  RadixColor get sky => _sky;

  static final RadixColor _skyA = RadixColor(
      const Color.fromARGB(250, 106, 225, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(11, 0, 135, 254),
    3: Color.fromARGB(25, 0, 165, 254),
    4: Color.fromARGB(38, 0, 166, 255),
    5: Color.fromARGB(50, 0, 169, 254),
    6: Color.fromARGB(65, 0, 174, 254),
    7: Color.fromARGB(86, 0, 174, 254),
    8: Color.fromARGB(116, 0, 174, 255),
    9: Color.fromARGB(250, 106, 225, 255),
    10: Color.fromARGB(250, 141, 236, 255),
    11: Color.fromARGB(236, 49, 214, 255),
    12: Color.fromARGB(250, 239, 253, 255)
  });

  @override
  RadixColor get skyA => _skyA;

  static final RadixColor _slate = RadixColor(
      const Color.fromARGB(255, 105, 113, 119).value, const <int, Color>{
    1: Color.fromARGB(255, 21, 23, 24),
    2: Color.fromARGB(255, 26, 29, 30),
    3: Color.fromARGB(255, 32, 36, 37),
    4: Color.fromARGB(255, 38, 41, 43),
    5: Color.fromARGB(255, 43, 47, 49),
    6: Color.fromARGB(255, 49, 53, 56),
    7: Color.fromARGB(255, 58, 63, 66),
    8: Color.fromARGB(255, 76, 81, 85),
    9: Color.fromARGB(255, 105, 113, 119),
    10: Color.fromARGB(255, 120, 127, 133),
    11: Color.fromARGB(255, 155, 161, 166),
    12: Color.fromARGB(255, 236, 237, 238)
  });

  @override
  RadixColor get slate => _slate;

  static final RadixColor _slateA = RadixColor(
      const Color.fromARGB(105, 225, 241, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 213, 254, 255),
    3: Color.fromARGB(15, 214, 251, 252),
    4: Color.fromARGB(21, 226, 240, 253),
    5: Color.fromARGB(28, 223, 243, 253),
    6: Color.fromARGB(35, 223, 239, 254),
    7: Color.fromARGB(46, 224, 243, 255),
    8: Color.fromARGB(68, 229, 242, 254),
    9: Color.fromARGB(105, 225, 241, 255),
    10: Color.fromARGB(120, 231, 243, 255),
    11: Color.fromARGB(157, 239, 247, 255),
    12: Color.fromARGB(236, 253, 254, 255)
  });

  @override
  RadixColor get slateA => _slateA;

  static final RadixColor _teal = RadixColor(
      const Color.fromARGB(255, 18, 165, 148).value, const <int, Color>{
    1: Color.fromARGB(255, 9, 25, 21),
    2: Color.fromARGB(255, 4, 32, 27),
    3: Color.fromARGB(255, 6, 41, 35),
    4: Color.fromARGB(255, 7, 49, 43),
    5: Color.fromARGB(255, 8, 57, 50),
    6: Color.fromARGB(255, 9, 68, 60),
    7: Color.fromARGB(255, 11, 84, 74),
    8: Color.fromARGB(255, 12, 109, 98),
    9: Color.fromARGB(255, 18, 165, 148),
    10: Color.fromARGB(255, 16, 179, 163),
    11: Color.fromARGB(255, 10, 197, 179),
    12: Color.fromARGB(255, 225, 250, 244)
  });

  @override
  RadixColor get teal => _teal;

  static final RadixColor _tealA = RadixColor(
      const Color.fromARGB(155, 24, 255, 228).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(8, 0, 251, 213),
    3: Color.fromARGB(18, 0, 253, 220),
    4: Color.fromARGB(27, 0, 253, 232),
    5: Color.fromARGB(36, 2, 254, 228),
    6: Color.fromARGB(48, 9, 255, 230),
    7: Color.fromARGB(66, 17, 255, 227),
    8: Color.fromARGB(93, 17, 255, 231),
    9: Color.fromARGB(155, 24, 255, 228),
    10: Color.fromARGB(171, 19, 255, 231),
    11: Color.fromARGB(191, 10, 255, 231),
    12: Color.fromARGB(250, 230, 255, 249)
  });

  @override
  RadixColor get tealA => _tealA;

  static final RadixColor _tomato = RadixColor(
      const Color.fromARGB(255, 229, 77, 46).value, const <int, Color>{
    1: Color.fromARGB(255, 29, 20, 18),
    2: Color.fromARGB(255, 42, 20, 16),
    3: Color.fromARGB(255, 59, 24, 19),
    4: Color.fromARGB(255, 72, 26, 20),
    5: Color.fromARGB(255, 84, 28, 21),
    6: Color.fromARGB(255, 101, 32, 22),
    7: Color.fromARGB(255, 127, 35, 21),
    8: Color.fromARGB(255, 164, 42, 18),
    9: Color.fromARGB(255, 229, 77, 46),
    10: Color.fromARGB(255, 236, 94, 65),
    11: Color.fromARGB(255, 241, 106, 80),
    12: Color.fromARGB(255, 254, 239, 236)
  });

  @override
  RadixColor get tomato => _tomato;

  static final RadixColor _tomatoA = RadixColor(
      const Color.fromARGB(226, 255, 84, 49).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(15, 253, 21, 0),
    3: Color.fromARGB(34, 255, 48, 25),
    4: Color.fromARGB(49, 254, 51, 28),
    5: Color.fromARGB(62, 254, 53, 30),
    6: Color.fromARGB(81, 255, 57, 30),
    7: Color.fromARGB(111, 255, 55, 25),
    8: Color.fromARGB(152, 255, 58, 18),
    9: Color.fromARGB(226, 255, 84, 49),
    10: Color.fromARGB(234, 255, 100, 69),
    11: Color.fromARGB(239, 255, 112, 84),
    12: Color.fromARGB(250, 255, 243, 240)
  });

  @override
  RadixColor get tomatoA => _tomatoA;

  static final RadixColor _violet = RadixColor(
      const Color.fromARGB(255, 110, 86, 207).value, const <int, Color>{
    1: Color.fromARGB(255, 23, 21, 31),
    2: Color.fromARGB(255, 28, 23, 43),
    3: Color.fromARGB(255, 37, 30, 64),
    4: Color.fromARGB(255, 44, 34, 80),
    5: Color.fromARGB(255, 50, 39, 95),
    6: Color.fromARGB(255, 57, 44, 114),
    7: Color.fromARGB(255, 68, 53, 146),
    8: Color.fromARGB(255, 88, 66, 195),
    9: Color.fromARGB(255, 110, 86, 207),
    10: Color.fromARGB(255, 124, 102, 220),
    11: Color.fromARGB(255, 158, 140, 252),
    12: Color.fromARGB(255, 241, 238, 254)
  });

  @override
  RadixColor get violet => _violet;

  static final RadixColor _violetA = RadixColor(
      const Color.fromARGB(200, 134, 104, 255).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(14, 116, 58, 253),
    3: Color.fromARGB(38, 116, 82, 254),
    4: Color.fromARGB(56, 118, 80, 255),
    5: Color.fromARGB(73, 118, 84, 255),
    6: Color.fromARGB(95, 114, 83, 255),
    7: Color.fromARGB(131, 112, 83, 255),
    8: Color.fromARGB(187, 111, 82, 255),
    9: Color.fromARGB(200, 134, 104, 255),
    10: Color.fromARGB(215, 142, 117, 255),
    11: Color.fromARGB(250, 161, 142, 255),
    12: Color.fromARGB(250, 245, 242, 255)
  });

  @override
  RadixColor get violetA => _violetA;

  static final RadixColor _yellow = RadixColor(
      const Color.fromARGB(255, 245, 217, 10).value, const <int, Color>{
    1: Color.fromARGB(255, 28, 21, 0),
    2: Color.fromARGB(255, 34, 26, 0),
    3: Color.fromARGB(255, 44, 33, 0),
    4: Color.fromARGB(255, 53, 40, 0),
    5: Color.fromARGB(255, 62, 48, 0),
    6: Color.fromARGB(255, 73, 60, 0),
    7: Color.fromARGB(255, 89, 74, 5),
    8: Color.fromARGB(255, 112, 94, 0),
    9: Color.fromARGB(255, 245, 217, 10),
    10: Color.fromARGB(255, 255, 239, 92),
    11: Color.fromARGB(255, 240, 192, 0),
    12: Color.fromARGB(255, 255, 250, 209)
  });

  @override
  RadixColor get yellow => _yellow;

  static final RadixColor _yellowA = RadixColor(
      const Color.fromARGB(244, 255, 226, 10).value, const <int, Color>{
    1: Color.fromARGB(0, 0, 0, 0),
    2: Color.fromARGB(7, 250, 205, 0),
    3: Color.fromARGB(18, 253, 190, 0),
    4: Color.fromARGB(28, 253, 194, 0),
    5: Color.fromARGB(38, 254, 199, 0),
    6: Color.fromARGB(51, 254, 216, 0),
    7: Color.fromARGB(69, 255, 219, 19),
    8: Color.fromARGB(95, 254, 216, 0),
    9: Color.fromARGB(244, 255, 226, 10),
    10: Color.fromARGB(250, 255, 244, 94),
    11: Color.fromARGB(238, 255, 204, 0),
    12: Color.fromARGB(250, 255, 255, 213)
  });

  @override
  RadixColor get yellowA => _yellowA;
}
